#include <bits/stdc++.h>

using namespace std;

void main()
{
    int n, i, j, k;
    int brojac = 0;

    scanf("%d", &n);

    int x[n], y[n], z[n];

    for (i = 0; i < n; i++)
        scanf("%d", &x[i]);

    for (i = 0; i < n; i++)
        scanf("%d", &y[i]);

    for (i = 1; i <= n; i++)
        scanf("%d", &z[i]);

    for (i = 0; i < n; i++)
        for (j = 0; j < n; j++)
            if (x[i] == y[j])
               for (k = 1; k <= n; k++)
                   if (j + 1 == z[k])
                       brojac ++;

    printf("%d", brojac);
}